Packages - Freedom Issue #1275

[otter-browser] depends on qt5-webengine
2017-04-02 09:11 PM - m4skin

Status: fixed % Done: 50%
Priority: freedom issue

Assignee: bill-auger

Category:

Description

Please, add otter-browser -weekly to pcr. It's lightweight, Qt5-based browser that aims to recreate the best aspects of the classic
Opera (12.x) UL
Here is AUR package for it, maintained by me: otter-browser-weekly

Related issues:
Related to Packages - Freedom Issue #1167: [chromium][electron][gt5-webengine... confirmed

History

#1 - 2020-08-11 06:11 PM - bill-auger

- Priority changed from wish to freedom issue

- Assignee set to bill-auger

- Status changed from open to in progress

- Subject changed from [otter-browser-weekly] add package to pcr to [otter-browser] depends on qt5-webengine

- Tracker changed from Packaging Request to Freedom Issue

otter is now in arch and it needs to be blacklisted

$ pacman —-Ss otter
community/otter-browser 1.0.01-3

Web browser aiming to recreate the best aspects of the classic Opera (12.x) UI using Qt5
community/otter-browser-nowebengine 1.0.01-3

Web browser aiming to recreate the best aspects of the classic Opera (12.x) UI using Qt5 without WebEngine
support

$ pacman -Si otter-browser | grep Depends

Depends on : hunspell gtS5-multimedia qgt5-svg gtb5-webengine gtb5-webkit gtS5-xmlpatterns
$ pacman -Si otter-browser-nowebengine | grep Depends
Depends on : hicolor-icon-theme hunspell gtS5-multimedia qgt5-svg qgtb5-webkit gtS5-xmlpatterns

#2 - 2020-08-11 06:12 PM - bill-auger

- Related to Freedom Issue #1167: [chromium][electron][qt5-webengine][qt6-webengine] QTWebgine/Electron embeds "entire Chromium platform"
added

#3 - 2020-08-11 06:24 PM - bill-auger

- Status changed from in progress to fixed

#4 - 2020-08-13 02:16 AM - bill-auger

- Status changed from fixed to confirmed

not fixed

‘otter-browser-nowebengine' provides "otter-browser’; so it conflicts with 'your-freedom'

#5 - 2020-08-20 08:33 PM - bill-auger

- Status changed from confirmed to fixed

#6 - 2022-04-04 03:29 PM - bill-auger

it appears that 'otter-browser-nowebengine' has replaced 'otter-browser' in arch - so removing it from the blacklist
http://otter-browser.org
